05.04.2016 15:18    

mttlp
(setq listara '( "a1" "a2" "a3"))
(setq textara "bula1")
(if (vl-string-search listara textara)
(setq var listara)
)
hata veriyor arkadaşlara yardimci olurmusunuz
liste dekileri text de arayıp hangisi olduğunu bulmak istiyorum textde yardimci olurmusunuz

06.04.2016 13:05    

BLack|E
Kolay gelsin herkese. Kendi çapımda bir lisp yazmaya çalıştım. Hata veriyor.
Bilgili üstatlarımızın desteğine ihtiyacım var.
iki köşe seçiyorum bana kesiztiği noktadan 5mm uzunluğunda sağa doğru çizgi çizmeden önce...
Bu çizginin layer'i PERI olacak. Bu layer var ise değiştirecek öyle çizecek,
yok sa yeni layer oluşturacak öyle çizecek.

HATALI LİSP AŞAĞIDADIR.
Kod:

(defun c:nk (/ pt1 pt2 pt3 pt4)
(setq osm (getvar "osmode"))
(setvar "osmode" 1)
      (setq pt1 (getpoint  "\nBirinci Köşeyi Seçiniz:")
    pt3 (getcorner pt1 "\nDiğer Köşeyi Seçiniz:"))
  (setq pt2 (list (car pt3)(cadr pt1) 0.0))
  (setq pt4 (list (car pt1)(cadr pt3) 0.0))
     (command "_Line" pt2 pt2 "")
  (if (not (tblsearch "layer" PERI))
     (command "._layer" "_n" PERI "_c" 4 "" ""))
      (command "._chprop" L "" "_la" PERI "")
  (setvar "osmode" osm)
  (princ)
  )


07.04.2016 20:39    

alumina
Alıntı
BLack|E :



Birbirine paralel olmayan herhangi iki dogrunun kesisimi vardir ama herhangi iki nokta, nerde ve nasil kesisir merak ettim dogrusu.

08.04.2016 06:17    

BLack|E
Alıntı
alumina :
Alıntı
BLack|E :



Birbirine paralel olmayan herhangi iki dogrunun kesisimi vardir ama herhangi iki nokta, nerde ve nasil kesisir merak ettim dogrusu.



Yok hocam öyle değil yanlış anladınız. X ve Y eksenindeki çizgilerin kesişimi lazım bana.
Ben bu kesişim noktasından başlayıp, aynı noktada biten bir çizgi çizdireceğim.
Bu çizgi nokta gibi görünecek bu sizi yanıltmasın. Bana nokta değil çizgi lazım.
Aşağıdaki kod da bunu sağladım zaten hocam.

code](setq pt1 (getpoint "\nBirinci Köşeyi Seçiniz:")
pt3 (getcorner pt1 "\nDiğer Köşeyi Seçiniz:"))
(setq pt2 (list (car pt3)(cadr pt1) 0.0))
(setq pt4 (list (car pt1)(cadr pt3) 0.0))
(command "_Line" pt2 pt2 "")[/code]

Benim asıl amacım bu çizgiyi atmadan önce layer'i PERI olarak yapsın hocam.

08.04.2016 06:25    

alumina
Cizgiyi cizdirmeden once;
Kod:

(setq cl (getvar 'clayer))
(setvar 'clayer "PERI")


Cizgiyi cizdirdikten sonra;
Kod:

(setvar 'clayer cl)

08.04.2016 09:51    

BLack|E
Tamam hocam süper oldu. Çok teşekkür ederim. Kolay gelsin.

22.04.2016 13:47    

archmus
arkadaşlar hocalar üstadlar sizden bir ricam olacak : herkese emeklerinden dolayı çok teşekkür ederim çok güzel bir site burası çalışmalarınızda başarılar dilerim allah razı olsun hepinizden konuya gelecek olursam elimde bir haritanın izohips eğrilerinin poligon noktalarının txt şeklinde yazılı olduğu bir dwg var. bu txt lerin koordinatları x,y,z şeklinden ama sayısı 33329 tane ben bunu txt dosyasına sırayla yazdırmak yada izohipslerini yükseklilkeriyle çizmek istiyorum. modellemede kullanmak için izohipslerin yükseklikleriyle birlikte olması lazım tek tek yükseltilecek gibi değil. ya bir lips yada ne bilim netcad dosyasından yada arcgis den bunları yükselmiş bir şekilde autocade alabilirim ? herkese teşekkür ederim zahmet edip okuduğunuz için inşallah yardımcı da olabilirsiniz teşekkürler..

formlarda ararken birinin önerisini gördüm diyor ki en alt izohipsle en üst izohips seçilerek aradaki izohipsler yükseltilebilir mi ? böyle bir şeyin lispi yazılabilir mi ? teşekkürle

Travaci (22.04.2016 14:12 GMT)

22.04.2016 14:11    

Travaci
archmus


Sitede seçili textleri exel yada text dosyasına yazdırcak birçok lisp mevcut.

22.04.2016 14:24    

archmus
ben seçili text lerin koordinatlarını tabloya yazan bir lisp istiyorum tada txt dosyasına , lü şekilde yazan. aslında o da var ama 33320 küsür nokta olunca tek tek seçilmiyor toplu seçimle yapabilecek bir lisp :)

22.04.2016 15:14    

Travaci
archmus


Bende var dedim ; )

22.04.2016 19:43    

alumina
surekli olarak "dataextraction" komutunu kullanin demekten yoruldum, artik kullanmayin :)

15.05.2016 23:06    

ayak
Değerli arkadaşlar,
Çok güzel paylaşımlarınız var, bazılarından da istifade ediyorum
emeğiniz için minnettarım.. bana lazım olan ama çözemediğim
bir konuda yardımınızı istirham ediyorum.
Bana lazım olan; çizginin hemen yanında, (altında veya üstünde) yazan
yazıyı görüp o çizgiyi aynı isimde layer açarak o layera atayacak bir lisp...
aşağıdaki gibi çizginin üstündeki A1 değerini okuyup
A1 isimli layer açacak ve bu çizgiyi de A1 layerına atayacak
böyle bir lisp olabilir mi..

A1
_________________

selamlar

26.05.2016 09:20    

fmy0685
Merhaba arkadaşlar

Nokta dökümü konusunda kendini aşmış bir macro yu sizle paylaşmak istedim.
* Noktalara isim ve kot yazdırabiliyorsunuz
* Netcad ardışıl nokta at gibi kullanabilirsiniz nokta adı ve nokta kotu istediginiz takdirde oluşuyor.
* Koordine özet tablosu oluşturulabiliyor.
*En güzeli de ncn txt gibi isteğe bağlı uzantılı nokta dosyası oluşturabiliyorsunuz.


Programın tek sıkıntısı programı çalıştırdıgımız da projeden nokta okumaya başlıyoruz ardışıl olarak devam ediyor ama netcad gibi direk numara ve yazı oluşturmuyor attığın noktayı tekrar atmamak için çok dikkatli olmak lazım.
Eğer bu hatayı düzeltebilicek bir arkadaş olursa cidden çok sağlıklı bir macro yapılmış olur diye düşünüyorum
. 145809-noktadokumu.rar

26.05.2016 11:25    

Liman
Arkadaşlar merhaba!
Forumda arattım ancak bulamadım. Böyle bir lisp var mı bilemiyorum ve yapılabilinir mi?

Offset, copy.. gibi komutlar sonucunda çoğaltılan objenin layerini önceden seçtiğimiz bir layer ile değiştire biliyor muyuz.

Örneğin sıva layerindeki line, poliline... 3cm ofsetledik offset ile attığımız çizgi, polilline... yalıtım layerine geçecek

26.05.2016 11:35    

Travaci
Liman


Offset > Layer ->> Source Or Current

26.05.2016 11:40    

Liman
Çok teşekkürler. Dediğiniz şekilde aktif olan layer e atmış oldum. Çok sağolun.

28.05.2016 21:25    

l0rdshad0w
Öncelikle herkese selamlar

Benim sorunum şu;
İnternette araştırdığımda

Linkleri görebilmek için ÜYE olmalısınız.

adresinde güzel bir lips var. Ama sıkıntı ya toplu seçiyor yada bir kare içine alarak seçiyor.

benim isteğim ;
teker teker seçebilmek

Yardımcı olabilirseniz sevinirim...

31.05.2016 10:14    

ehya
l0rdshad0w




toplu seçerken boş bir tere tıklamak yerine, tek tek nesneleri de seçebilirsin.

04.06.2016 06:55    

fmy0685
Merhaba ARkadaşlar;

Şu an çalıştığım projede aks isimlerini layer lara yüklemişler acaba seçtiğim aks ın layer ismini text olarak ekrana yazan bir lisp var mı ?

Teşekkürler... İyi günler

04.06.2016 17:10    

alumina
Alıntı
fmy0685 :


Kod:

(defun c:ln (/ p0 ss ly p) (vl-load-com)
  (if (setq p0 '(0 0 0) ss (ssget ":s"))
    (progn
      (entmake (list '(0 . "text") (setq ly (assoc 8 (entget (ssname ss 0))))
        (cons 1 (cdr ly)) (cons 10 p0) (cons 11 p0) (cons 40 (getvar 'textsize))
        '(71 . 0) '(72 . 1) '(73 . 2)))
      (while (= (car (setq p (grread T 1))) 5)
        (setq p (cadr p) dx (- (car p) (car p0)) dy (- (cadr p) (cadr p0)))
        (vla-transformby (vlax-ename->vla-object (entlast))
          (vlax-tmatrix (list (list 1 0 0 dx) (list 0 1 0 dy) '(0 0 1 0) '(0 0 0 1))))
        (setq p0 p)
      )
    )
  ) (princ)
)

Önceki Sayfa [1] [2] [3] [4] [5] [6] [7] [8] [9] [10] [15] [20] [25] [30] [35] [40] [45] [50] [55] [60] [65] > 69 < [70] [75] [80] [85] [90] [95] [100] Sonraki Sayfa
Copyright © 2004-2022 SQL: 1.554 saniye - Sorgu: 99 - Ortalama: 0.01569 saniye